Subject: Re: [bug#37717] [PATCH 0/3] gnu: Add kmonad.

From: Marius Bakke <[email-masked]>
Date: Tue, 29 Oct 2019 00:11:53 +0100

Alex Griffin <[email-masked]> writes:

> On 10/18/19 1:47 PM, Marius Bakke wrote:
>> I sent some feedback on the individual patches.  Can you create an
>> account on Savannah if you haven't already?  Then you can push the next
>> version yourself.  :-)
>> 
>> Please also send a reply to this message signed by the same GPG key that
>> you will use to sign commits, and make sure to upload it to Savannah.
>
> Thanks! I've attached updated patches with the suggested changes,
> created a Savannah account, and this email should be signed with my GPG key.

Great!  I have added you to the Savannah project now.  \o/

Make sure to read HACKING, and enjoy your new commit superpowers.  :-)

> Kmonad 0.3 was released last week, but I don't think it can be updated
> in Guix until we move to a newer Stackage.

Right.  Rumor has it that a new Stackage LTS 14 branch is coming up,
perhaps you can be an early tester?  ;-)

>> Should this not be provided by 'ghc-primitive'?  Perhaps it is
>> expecting a different version?
>
> From what I can gather, there were a few commits upstream to add support
> for primitive 0.7 without breaking 0.6, but they forgot to make the same
> change in the test suite.
>
> https://github.com/jberryman/unagi-chan/commit/b4af3f2b0d76de701ec8ca4a17ab88f776fe80a9

OK.  Can you adjust the comment to mention that a newer ghc-primitive is
required?  Otherwise LGTM.

Thanks, and welcome!